<?php
/**
 * Metabox definition for the 'testimonial' post type.
 *
 * @package Sifency
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
return array(
	'testimonial_options' => array(
		'title'     => esc_html__( 'Testimonial Details', 'sifency-addons' ),
		'post_type' => 'testimonial',
		'context'   => 'normal',
		'priority'  => 'high',
		'class'     => 'sifency-metabox',
		'fields'    => array(
			array(
				'id'       => 'testimonial_review_content',
				'type'     => 'wp_editor',
				'title'    => esc_html__( 'Testimonial Text', 'sifency-addons' ),
				'settings' => array(
					'textarea_rows' => 5,
					'media_buttons' => false,
				),
			),
			array(
				'id'    => 'testimonial_position',
				'type'  => 'text',
				'title' => esc_html__( 'Job Position', 'sifency-addons' ),
			),
			array(
				'id'    => 'testimonial_company',
				'type'  => 'text',
				'title' => esc_html__( 'Company', 'sifency-addons' ),
			),
			array(
				'id'    => 'testimonial_user_img',
				'type'  => 'media',
				'title' => esc_html__( 'Client Photo', 'sifency-addons' ),
			),
			array(
				'id'    => 'testimonial_address',
				'type'  => 'text',
				'title' => esc_html__( 'Location', 'sifency-addons' ),
			),
			array(
				'id'    => 'testimonial_review_image',
				'type'  => 'media',
				'title' => esc_html__( 'Additional Image', 'sifency-addons' ),
				'desc'  => esc_html__( 'Optional: an image to accompany the testimonial, like a product photo.', 'sifency-addons' ),
			),
			array(
				'id'    => 'testimonial_link',
				'type'  => 'url',
				'title' => esc_html__( 'Related Link', 'sifency-addons' ),
				'desc'  => esc_html__( 'Optional: A link to the client\'s website or project.', 'sifency-addons' ),
			),
		),
	),
);
